MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023322Community[OCCT] OCCT:Visualizationpublic2012-07-18 13:542012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023322: Identical sub-expressions 'MyCView.Orientation.ViewReferencePoint.y != float (Y)'
DescriptionThis is probably a copy-paste error.

In Visual3d_View.cxx lines: 1258, 1267, 1276.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021048)
Pawel (developer)
2012-07-18 14:56

Corresponding git branch pushed. Please review.
(0021079)
abv (manager)
2012-07-19 19:54

No remarks on the fix, please test
(0021118)
apn (administrator)
2012-07-23 16:14

Dear BugMaster,
The workbenches
KAS:dev:mkv-23322-occt (GIT branch CR23322)
KAS:dev:mkv-23322-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23322-products_20072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master 9d21a648
Timestamp: 2012-07-18 10:48:11
Author: Pawel
Details ] Diff ]
0023322: Identical sub-expressions 'MyCView.Orientation.ViewReferencePoint.y != float (Y)'

Changed the duplicate 'y' to 'z'.
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-18 13:54 Pawel New Issue
2012-07-18 13:54 Pawel Assigned To => Pawel
2012-07-18 14:56 Pawel Note Added: 0021048
2012-07-18 14:56 Pawel Assigned To Pawel => bugmaster
2012-07-18 14:56 Pawel Status new => resolved
2012-07-19 19:54 abv Note Added: 0021079
2012-07-19 19:54 abv Status resolved => reviewed
2012-07-20 11:42 mkv Assigned To bugmaster => mkv
2012-07-23 16:14 apn Note Added: 0021118
2012-07-23 16:14 apn Test case number => Not needed
2012-07-23 16:14 apn Assigned To mkv => bugmaster
2012-07-23 16:14 apn Status reviewed => tested
2012-07-30 16:31 Pawel Changeset attached => occt master 9d21a648
2012-07-30 16:34 Pawel Assigned To bugmaster => Pawel
2012-07-30 16:34 Pawel Status tested => verified
2012-07-30 16:34 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker